com.fasterxml.jackson.module.afterburner.deser

## Class OptimizedValueInstantiator

- java.lang.Object
- - com.fasterxml.jackson.databind.deser.ValueInstantiator
  - - com.fasterxml.jackson.databind.deser.std.StdValueInstantiator
    - - com.fasterxml.jackson.module.afterburner.deser.OptimizedValueInstantiator

All Implemented Interfaces:
  Serializable

    public abstract class OptimizedValueInstantiator
    extends com.fasterxml.jackson.databind.deser.std.StdValueInstantiator

Base class for concrete bytecode-generated value instantiators.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.fasterxml.jackson.databind.deser.std.StdValueInstantiator

`_constructorArguments, _defaultCreator, _delegateArguments, _delegateCreator, _delegateType, _fromBooleanCreator, _fromDoubleCreator, _fromIntCreator, _fromLongCreator, _fromStringCreator, _incompleteParameter, _valueTypeDesc, _withArgsCreator`

### Constructor Summary

Constructors
`protected` `OptimizedValueInstantiator()` Default constructor which is only used when creating dummy instance to call factory method.
`protected` `OptimizedValueInstantiator(com.fasterxml.jackson.databind.deser.std.StdValueInstantiator src)` Copy-constructor to use for creating actual optimized instances.

### Method Summary

Methods
`boolean` `canCreateUsingDefault()` Need to override this, now that we have installed default creator.
`abstract Object` `createUsingDefault(com.fasterxml.jackson.databind.DeserializationContext ctxt)`
`protected abstract OptimizedValueInstantiator` `with(com.fasterxml.jackson.databind.deser.std.StdValueInstantiator src)`

### Methods inherited from class com.fasterxml.jackson.databind.deser.std.StdValueInstantiator

`canCreateFromBoolean, canCreateFromDouble, canCreateFromInt, canCreateFromLong, canCreateFromObjectWith, canCreateFromString, canCreateUsingDelegate, configureFromBooleanCreator, configureFromDoubleCreator, configureFromIntCreator, configureFromLongCreator, configureFromObjectSettings, configureFromStringCreator, configureIncompleteParameter, createFromBoolean, createFromDouble, createFromInt, createFromLong, createFromObjectWith, createFromString, createUsingDelegate, getDefaultCreator, getDelegateCreator, getDelegateType, getFromObjectArguments, getIncompleteParameter, getValueTypeDesc, getWithArgsCreator, wrapException`

### Methods inherited from class com.fasterxml.jackson.databind.deser.ValueInstantiator

`_createFromStringFallbacks, canInstantiate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OptimizedValueInstantiator

    protected OptimizedValueInstantiator()

Default constructor which is only used when creating dummy instance to call factory method.

#### OptimizedValueInstantiator

    protected OptimizedValueInstantiator(com.fasterxml.jackson.databind.deser.std.StdValueInstantiator src)

Copy-constructor to use for creating actual optimized instances.

### Method Detail

#### canCreateUsingDefault

    public boolean canCreateUsingDefault()

Need to override this, now that we have installed default creator.

Overrides:
  `canCreateUsingDefault` in class `com.fasterxml.jackson.databind.deser.std.StdValueInstantiator`

#### with

    protected abstract OptimizedValueInstantiator with(com.fasterxml.jackson.databind.deser.std.StdValueInstantiator src)

#### createUsingDefault

    public abstract Object createUsingDefault(com.fasterxml.jackson.databind.DeserializationContext ctxt)
                                       throws IOException,
                                              com.fasterxml.jackson.core.JsonProcessingException

Overrides:
  `createUsingDefault` in class `com.fasterxml.jackson.databind.deser.std.StdValueInstantiator`
Throws:
  `IOException`
  `com.fasterxml.jackson.core.JsonProcessingException`